package com.erusev.control.a2
{
	import com.erusev.core.Shape_;
	
	import flash.display.Sprite;
	
	public class PlayButton extends com.erusev.core.Shape_
	{
		public function PlayButton()
		{
			useHandCursor = true;
			buttonMode = true;
			
			sprite = new Sprite();
			addChild(sprite);
		}
		
		private var sprite:Sprite;
		
		override protected function draw() : void
		{
			graphics.clear();
			
			_mouseOver ? graphics.beginFill(_color, .1) : graphics.beginFill(0, 0);
			graphics.drawRect(0, 0, 21, 21);
			
			sprite.graphics.clear();
			sprite.graphics.beginFill(_color);
			
			var x:uint, y:uint, h:int = 11;
			
			for (; h > 0; h -= 2)
			{
				sprite.graphics.drawRect(x++, y++, 1, h);
			}
			
			sprite.x = Math.ceil((width - sprite.width)/2);
			sprite.y = (height - sprite.height)/2;
		}
	}
}