package com.erusev.core
{
	import flash.display.Sprite;
	import flash.events.MouseEvent;
	
	public class Shape_ extends Sprite
	{
		public function Shape_()
		{
			super();
			
			addEventListener(MouseEvent.MOUSE_OUT, onMouseOut);
			addEventListener(MouseEvent.MOUSE_OVER, onMouseOver);
		}
		
		////////////////////////////////////////
		// properties
		////////////////////////////////////////
		
		// color
		////////////////////////////////////////
		
		protected var _color:Number = 0x333333;
		
		public function set color(value:Number):void
		{
			_color = value;
			
			draw();
		}
		
		// width
		////////////////////////////////////////
		
		protected var _width:int;
		
		override public function set width(value:Number):void
		{
			_width = value;
			
			draw();
		}
		
		// height
		////////////////////////////////////////
		
		protected var _height:int;
		
		override public function set height(value:Number):void
		{
			_height = value;
			
			draw();
		}
		
		// mouseOver
		////////////////////////////////////////
		
		protected var _mouseOver:Boolean;
		
		////////////////////////////////////////
		// public methods
		////////////////////////////////////////
		
		protected function draw():void
		{
			
		}
		
		////////////////////////////////////////
		// event handlers
		////////////////////////////////////////
		
		protected function onMouseOut(e:MouseEvent):void
		{
			_mouseOver = false;
			
			draw();
		}
		
		protected function onMouseOver(e:MouseEvent):void
		{
			_mouseOver = true;
			
			draw();
		}
	}
}