package com.erusev.control.a2
{
	import com.erusev.core.Shape_;
	
	import flash.display.Sprite;

	public class VolumeButton extends Shape_
	{
		public function VolumeButton()
		{
			useHandCursor = true;
			buttonMode = true;
			
			sprite = new Sprite();
			addChild(sprite);
		}
		
		private var sprite:Sprite;
		
		//
		
		private var _mode:int = 2;
		
		public function set mode(value:int):void
		{
			_mode = value;
			
			draw();
		}
		
		override protected function draw() : void
		{
			graphics.clear();
			
			_mouseOver ? graphics.beginFill(_color, .1) : graphics.beginFill(0, 0);
			
			graphics.drawRect(0, 0, 21, 21);
			graphics.beginFill(_color);
			
			sprite.graphics.clear();
			
			_mouseOver ? sprite.graphics.beginFill(0, 0) : sprite.graphics.beginFill(_color, .1);
			
			sprite.graphics.beginFill(_color);
			sprite.graphics.drawRect(0, 3, 3, 5);
			sprite.graphics.drawRect(3, 2, 1, 7);
			sprite.graphics.drawRect(4, 1, 1, 9);
			sprite.graphics.drawRect(5, 0, 1, 11);
			
			if (_mode == 0)
			{
				sprite.graphics.drawRect(7, 5, 5, 1);
			}
			
			if (_mode >= 1)
			{
				sprite.graphics.drawRect(7, 4, 1, 3);
			}
			
			if (_mode >= 2)
			{
				sprite.graphics.drawRect(9, 2, 1, 7);
			}
			
			if (_mode == 3)
			{
				sprite.graphics.drawRect(11, 0, 1, 11);
			}
			
			sprite.x = 4;
			sprite.y = (height - sprite.height)/2;
		}
	}
}